Summary: Powerful graphical front-end for mkisofs and cdrecord
Name: gcombust
Version: 0.1.55
Release: 17
Epoch: 1
License: GPLv2+
Group: Applications/Archiving
URL: http://www.abo.fi/~jmunsin/gcombust/
Source0: http://www.abo.fi/~jmunsin/gcombust/gcombust-%{version}.tar.gz
Source1: gcombust.png
Patch0: gcombust-0.1.55-gcc4.patch
Patch1: gcombust-0.1.55-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: cdrecord >= 1.10, mkisofs >= 1.10
Requires: cdda2wav >= 1.10, cdlabelgen >= 1.5.0
BuildRequires: gtk+-devel, automake

%description
Gcombust is a GUI front-end for mkisofs, mkhybrid, cdda2wav, cdrecord
and cdlabelgen, written in C using the GTK+ widget set. Gcombust
includes primitive support for controlling the directory (root)
structure and size of the disk image without copying files/symlinking
or writing ten lines of arguments and it can maximize disk usage by
hinting which directories and files to use.


%prep
%setup -q
%patch0 -p1 -b .gcc4
%patch1 -p1 -b .desktop

# Needed for x86_64, automake can't be run here
cp -f %{_datadir}/automake-*/config.{guess,sub} .

%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%find_lang %{name}

# Replace xpm icon with the same converted to png
%{__rm} -f %{buildroot}%{_datadir}/pixmaps/gcombust.xpm
%{__install} -D -p -m 0644 %{SOURCE1} \
    %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/gcombust.png


%clean
%{__rm} -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog FAQ.shtml NEWS README THANKS TODO README.ms
%{_bindir}/gcombust
%{_datadir}/applications/gcombust.desktop
%{_datadir}/icons/hicolor/48x48/apps/gcombust.png


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.1.55-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.1.55-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar 04 2009 Robert Scheck <robert@fedoraproject.org> 1:0.1.55-15
- Solve the x86_64-redhat-linux-gnu configure target error

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.1.55-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1:0.1.55-13
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 1:0.1.55-12
- Rebuild for new BuildID feature.

* Sat Aug  4 2007 Matthias Saou <http://freshrpms.net/> 1:0.1.55-11
- Update License field.

* Fri Jun 22 2007 Matthias Saou <http://freshrpms.net/> 1:0.1.55-10
- Include desktop patch : UTF-8, remove bogus category and themeable icon.
- Minor spec file cleanups.
- Convert xpm icon to png in hicolor, with needed scriplets.
- Use DESTDIR install method.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 1:0.1.55-9
- FC6 rebuild.
- Remove perl build requirement, it's a default.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 1:0.1.55-8
- FC5 rebuild.

* Wed Feb  8 2006 Matthias Saou <http://freshrpms.net/> 1:0.1.55-7
- Rebuild for new gcc/glibc.

* Mon May  9 2005 Matthias Saou <http://freshrpms.net/> 1:0.1.55-6
- Added gcc4 patch from Michael.

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 1:0.1.55-3
- Bump release to provide Extras upgrade path.

* Tue May 18 2004 Matthias Saou <http://freshrpms.net/> 1:0.1.55-2
- Rebuild for Fedora Core 2.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 1:0.1.55-2
- Rebuild for Fedora Core 1.

* Thu Jul 24 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.1.55.
- Simplified the spec now that the menu entry is the freedesktop type.
- Escaped %%install later in the changelog.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9.

* Sat Feb  1 2003 Matthias Saou <http://freshrpms.net/>
- Update to 0.1.54.

* Sun Dec 22 2002 Ville Skyttä <ville.skytta at iki.fi> - 1:0.1.53-fr1
- Update to 0.1.53.
- Fix desktop menu entry and build requirements.

* Sun Sep 29 2002 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 8.0.
- New menu entry.

* Tue Jul  9 2002 Matthias Saou <http://freshrpms.net/>
- Update to 0.1.52.

* Thu Jun 13 2002 Matthias Saou <http://freshrpms.net/>
- Update to 0.1.51.

* Thu May  2 2002 Matthias Saou <http://freshrpms.net/>
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Tue Apr  2 2002 Matthias Saou <http://freshrpms.net/>
- Update to 0.1.49.

* Mon Oct 22 2001 Matthias Saou <http://freshrpms.net/>
- Update to 0.1.47.

* Thu Aug  9 2001 Matthias Saou <http://freshrpms.net/>
- Update to 0.1.46.

* Mon May  7 2001 Matthias Saou <http://freshrpms.net/>
- Update to 0.1.43 and added dependencies on newer cdrecord/mkisofs.

* Tue Feb 27 2001 Matthias Saou <http://freshrpms.net/>
- Update to 0.1.42

* Sat Feb  3 2001 Matthias Saou <http://freshrpms.net/>
- Update to 0.1.41

* Sun Jan  7 2001 Matthias Saou <http://freshrpms.net/>
- Updated to 0.1.40
- Simplified the %%install to reflect changes

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed May 10 2000 Tim Powers <timp@redhat.com>
- updated to 0.1.32
- added locale to the files list

* Wed Nov 10 1999 Tim Powers <timp@redhat.com>
- updated to 0.1.25

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- 0.1.23 bugfix release

* Mon Sep 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 0.1.21 bugfix release.

* Sun Aug 22 1999 Preston Brown <pbrown@redhat.com>
- adopted for Powertools

